Debian Bug report logs - #628796
fsprotect: /bin/touch missing in initrd

version graph

Package: fsprotect; Maintainer for fsprotect is Stefanos Harhalakis <v13@v13.gr>; Source for fsprotect is src:fsprotect.

Reported by: Stephan Lange <sl077@gmx.de>

Date: Wed, 1 Jun 2011 12:33:01 UTC

Severity: grave

Found in version fsprotect/1.0.5

Fixed in version fsprotect/1.0.6

Done: Stefanos Harhalakis <v13@v13.gr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sl077@gmx.de, Stefanos Harhalakis <v13@v13.gr>:
Bug#628796; Package fsprotect. (Wed, 01 Jun 2011 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Lange <sl077@gmx.de>:
New Bug report received and forwarded. Copy sent to sl077@gmx.de, Stefanos Harhalakis <v13@v13.gr>. (Wed, 01 Jun 2011 12:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephan Lange <sl077@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fsprotect: /bin/touch missing in initrd
Date: Wed, 01 Jun 2011 14:29:14 +0200
Package: fsprotect
Version: 1.0.5
Severity: grave
Justification: renders package unusable

The initramfs scripts of fsprotect use touch to create /fastboot which tells fsck to skip the filesystem check on boot.
However, /bin/touch is not available in my initrd. So on boot fsck is complaining about the root filesystem and I end up on a maintenance shell.
To work around this, I created another hook for initramfs which copies /bin/touch to my initrd and now it works as expected.

-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages fsprotect depends on:
ii  initramfs-tools               0.98.8     tools for generating an initramfs

fsprotect recommends no packages.

fsprotect suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Stefanos Harhalakis <v13@v13.gr>:
Bug#628796; Package fsprotect. (Fri, 03 Jun 2011 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to V13 <v13@v13.gr>:
Extra info received and forwarded to list. Copy sent to Stefanos Harhalakis <v13@v13.gr>. (Fri, 03 Jun 2011 08:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 628796@bugs.debian.org (full text, mbox):

From: V13 <v13@v13.gr>
To: Stephan Lange <sl077@gmx.de>, 628796@bugs.debian.org
Subject: Re: Bug#628796: fsprotect: /bin/touch missing in initrd
Date: Fri, 3 Jun 2011 10:55:08 +0300
On Wednesday 01 of June 2011, Stephan Lange wrote:
> Package: fsprotect
> Version: 1.0.5
> Severity: grave
> Justification: renders package unusable
> 
> The initramfs scripts of fsprotect use touch to create /fastboot which
> tells fsck to skip the filesystem check on boot. However, /bin/touch is
> not available in my initrd. So on boot fsck is complaining about the root
> filesystem and I end up on a maintenance shell. To work around this, I
> created another hook for initramfs which copies /bin/touch to my initrd
> and now it works as expected.

Thanks for the report. I'll fix it in the next release.




Information forwarded to debian-bugs-dist@lists.debian.org, Stefanos Harhalakis <v13@v13.gr>:
Bug#628796; Package fsprotect. (Sun, 01 Jan 2012 18:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Stefanos Harhalakis <v13@v13.gr>. (Sun, 01 Jan 2012 18:24:09 GMT) Full text and rfc822 format available.

Message #15 received at 628796@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: V13 <v13@v13.gr>, 628796@bugs.debian.org
Subject: Re: Bug#628796: fsprotect: /bin/touch missing in initrd
Date: Sun, 1 Jan 2012 19:20:22 +0100
On Fri, Jun  3, 2011 at 10:55:08 +0300, V13 wrote:

> On Wednesday 01 of June 2011, Stephan Lange wrote:
> > Package: fsprotect
> > Version: 1.0.5
> > Severity: grave
> > Justification: renders package unusable
> > 
> > The initramfs scripts of fsprotect use touch to create /fastboot which
> > tells fsck to skip the filesystem check on boot. However, /bin/touch is
> > not available in my initrd. So on boot fsck is complaining about the root
> > filesystem and I end up on a maintenance shell. To work around this, I
> > created another hook for initramfs which copies /bin/touch to my initrd
> > and now it works as expected.
> 
> Thanks for the report. I'll fix it in the next release.
> 
Hi,

any ETA for this fix?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Stefanos Harhalakis <v13@v13.gr>:
Bug#628796; Package fsprotect. (Sat, 03 Mar 2012 16:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Stefanos Harhalakis <v13@v13.gr>. (Sat, 03 Mar 2012 16:48:05 GMT) Full text and rfc822 format available.

Message #20 received at 628796@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Julien Cristau <jcristau@debian.org>, 628796@bugs.debian.org
Cc: V13 <v13@v13.gr>
Subject: Re: Bug#628796: fsprotect: /bin/touch missing in initrd
Date: Sat, 3 Mar 2012 17:44:20 +0100
[Message part 1 (text/plain, inline)]
Hi,

Julien Cristau <jcristau@debian.org> (01/01/2012):
> On Fri, Jun  3, 2011 at 10:55:08 +0300, V13 wrote:
> > Thanks for the report. I'll fix it in the next release.
> any ETA for this fix?

ping again?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#628796; Package fsprotect. (Sat, 03 Mar 2012 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefanos Harhalakis <v13@v13.gr>:
Extra info received and forwarded to list. (Sat, 03 Mar 2012 17:45:03 GMT) Full text and rfc822 format available.

Message #25 received at 628796@bugs.debian.org (full text, mbox):

From: Stefanos Harhalakis <v13@v13.gr>
To: Cyril Brulebois <kibi@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 628796@bugs.debian.org
Subject: Re: Bug#628796: fsprotect: /bin/touch missing in initrd
Date: Sat, 3 Mar 2012 17:42:06 +0000
Hi,

On Sat, Mar 3, 2012 at 16:44, Cyril Brulebois <kibi@debian.org> wrote:
> Julien Cristau <jcristau@debian.org> (01/01/2012):
>> On Fri, Jun  3, 2011 at 10:55:08 +0300, V13 wrote:
>> > Thanks for the report. I'll fix it in the next release.
>> any ETA for this fix?
>
> ping again?

This is now in mentors, but needs some cleanups before going for sponsorship.




Reply sent to Stefanos Harhalakis <v13@v13.gr>:
You have taken responsibility. (Sun, 11 Mar 2012 05:21:03 GMT) Full text and rfc822 format available.

Notification sent to Stephan Lange <sl077@gmx.de>:
Bug acknowledged by developer. (Sun, 11 Mar 2012 05:21:03 GMT) Full text and rfc822 format available.

Message #30 received at 628796-close@bugs.debian.org (full text, mbox):

From: Stefanos Harhalakis <v13@v13.gr>
To: 628796-close@bugs.debian.org
Subject: Bug#628796: fixed in fsprotect 1.0.6
Date: Sun, 11 Mar 2012 05:18:07 +0000
Source: fsprotect
Source-Version: 1.0.6

We believe that the bug you reported is fixed in the latest version of
fsprotect, which is due to be installed in the Debian FTP archive:

fsprotect_1.0.6.dsc
  to main/f/fsprotect/fsprotect_1.0.6.dsc
fsprotect_1.0.6.tar.gz
  to main/f/fsprotect/fsprotect_1.0.6.tar.gz
fsprotect_1.0.6_all.deb
  to main/f/fsprotect/fsprotect_1.0.6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628796@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefanos Harhalakis <v13@v13.gr> (supplier of updated fsprotect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 11 Mar 2012 12:58:58 WST
Source: fsprotect
Binary: fsprotect
Architecture: all source
Version: 1.0.6
Distribution: unstable
Urgency: low
Maintainer: Stefanos Harhalakis <v13@v13.gr>
Changed-By: Stefanos Harhalakis <v13@v13.gr>
Description: 
 fsprotect - Helper scripts to make filesystems immutable
Closes: 628796
Changes:
 fsprotect (1.0.6) unstable; urgency=low
 .
   * Copy /usr/bin/touch as well to initramfs (Closes: #628796)
   * Standards version 3.9.3:
     + Machine readable copyright file.
   * Override lintian informational message about 'status' support in init
     script.
   * Change pointing license file to GPL-2 instead of GPL. Fixes lintian
     warning.
Checksums-Sha256: 
 abebb887274465fc36acf80b8c797ecaedadec54e1fd4f78879b0f8f1e8d38b2 79408 fsprotect_1.0.6_all.deb
 4c540848bf54f04a5475cb8741c3dfec2d2b44ba792dcac95964ef35f413cd40 1428 fsprotect_1.0.6.dsc
 1a2c472c8d714c556ecb08b4fd92058c74e174e84cdb1c72861134161713a2c1 80768 fsprotect_1.0.6.tar.gz
Checksums-Sha1: 
 4766d7e6340e0ec726b63daf8c5d56f3f2966393 79408 fsprotect_1.0.6_all.deb
 32c3b360742e87a4035a115abc411e44ebc2c580 1428 fsprotect_1.0.6.dsc
 2da0d9d712e077189fc9a07788c61078fc904867 80768 fsprotect_1.0.6.tar.gz
Files: 
 97e3474b1e9530bd044fc532960d4525 79408 admin extra fsprotect_1.0.6_all.deb
 495ced9d34f06a05c73c5f0ee24a345d 1428 admin extra fsprotect_1.0.6.dsc
 b1e748579891038a4e9a22752ca28d95 80768 - - fsprotect_1.0.6.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPXDEjAAoJEDEWul6f+mmjpXUP/0F1zKsr5sfEZQnpDJ9dqpLO
wkC9bTzTvCBzHtNOXFonflhiJz6mFICikLr+MW0PyE2Rn4V0sPhS8JFEkoKEeo+3
/BPty4C45RvllYupBhizYRc0HrysaTyUXuK3qo5Dxh4NekXCV3eo1g4WPKBOUXuZ
ec0KpUt0FCyl4iCjGR3TisMSbZwHABPgtBdyKa5lG3AxClW2qhJQr6TMPmK/17zB
3PPx8uQn/S6KpW7oKK5yUj8kx9o+H2NoNJ/AmNN2caWImrezRlrUIKtb74gr0IB5
VDlWTBAjFgbIgN4An7mj3aW6kz0GDhumfCEN59/lLH64h0aLyXXH42Pc1sKbxfXn
9fEzuRP+XlVmHn/nTpRx0wtjwJk2DJSGEKFKEHuQQAamKub6g9WCTOIiMUBZq0Pp
n22mknoZyw3DmSsv47qF7Igo2IHkoX1xhN7O5F5soKrvr3zLiYEF6tDM7DZSks3Y
/B4HMEdiDO2mKzmz0Kj9bQKX6Z811DPrUue3AH7U1GrqRCfiRXVHvmrfQLpsvr+u
h6P47FRX+ij5pNaAptxYqeDVSjqF7o5YA+uRtL78qr+pEOBFJK+93GulNcWQ42vI
MYBTJbE1rjtvvREfwvYRZtzDgX+8yQ/zqmDzFbFdjRrS+QBM1bP7E0mm291jwqY7
SVwu1oSHKq4KQIxOrbxn
=O5wU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 08:30:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:11:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.